Subject: RE: How Egress ATM-LSR/FR-LSR distinguishes IPv4 and IPv6 packets ?

From: "Gray, Eric" <[email-masked]>
Date: Fri, 9 Aug 2002 14:55:23 -0400

David,

	It is as you describe for LDP.  Generally, one
key advantage to downstream allocation of labels is
that the LSR doing the label allocation gets decides 
what labels to give out.  Naturally, it makes sense 
to only give out labels for traffic the LSR knows
how to forward...

Eric W. Gray
Systems Architect
Celox Networks, Inc.
[email-masked]
508 305 7214

-----Original Message-----
From: David Charlap [mailto:[email-masked]] 
Sent: Friday, August 09, 2002 2:43 PM
To: [email-masked]
Subject: Re: How Egress ATM-LSR/FR-LSR distinguishes IPv4 and IPv6 packets?

Narendra Byrapuram wrote:
> 
> How Egress ATM-LSR/FR-LSR distinguishes IPv4 and IPv6 packets?
> 
> In the case of Generic Label, RFC 3032 "MPLS Label Stack Encoding"
> specifies IPv4 Explicit NULL (0) and IPv6 Explicit NULL (2).
> 
> RFC3034 (MPLS on FR) and RFC 3035 (MPLS using ATM VC Switching) doesn't
> talk about the similarly to identify Network Layer.
> 
> When Egress ATM-LSR receives an MPLS packet, how it can identify the
packet
> is IPv4 packet or IPv6?
> 
> Could some one point me to the document/rfc where I can find the answer?

I don't think you can tell, just by looking at the data-plane packets.

But you can tell from signaling.  If RSVP-TE is used to set up the LSP, 
the L3PID field in the LABEL_REQUEST object should contan the ethertype 
for IPv4 (0x0800) or IPv6 (0x86dd)

For LDP, I'm not certain, but I would assume that labels that correspond 
to an IPv4 FEC would contain IPv4 payload, and labels correspoding to an 
IPv6 FEC would contain IPv6 payload.

-- David